org.apache.sysds.common

## Enum Types.AggOp

- java.lang.Object
- - java.lang.Enum<Types.AggOp>
  - - org.apache.sysds.common.Types.AggOp

- All Implemented Interfaces:
    Serializable, Comparable<Types.AggOp>
  Enclosing class:
    Types

      public static enum Types.AggOp
      extends Enum<Types.AggOp>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COUNT_DISTINCT`
    `COUNT_DISTINCT_APPROX`
    `MAX`
    `MAXINDEX`
    `MEAN`
    `MIN`
    `MININDEX`
    `PROD`
    `SUM`
    `SUM_PROD`
    `SUM_SQ`
    `TRACE`
    `VAR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `String` | `toString()`
    `static Types.AggOp` | `valueOf(int aggOp)`
    `static Types.AggOp` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Types.AggOp[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUM

          public static final Types.AggOp SUM

    - #### SUM_SQ

          public static final Types.AggOp SUM_SQ

    - #### MIN

          public static final Types.AggOp MIN

    - #### MAX

          public static final Types.AggOp MAX

    - #### PROD

          public static final Types.AggOp PROD

    - #### SUM_PROD

          public static final Types.AggOp SUM_PROD

    - #### TRACE

          public static final Types.AggOp TRACE

    - #### MEAN

          public static final Types.AggOp MEAN

    - #### VAR

          public static final Types.AggOp VAR

    - #### MAXINDEX

          public static final Types.AggOp MAXINDEX

    - #### MININDEX

          public static final Types.AggOp MININDEX

    - #### COUNT_DISTINCT

          public static final Types.AggOp COUNT_DISTINCT

    - #### COUNT_DISTINCT_APPROX

          public static final Types.AggOp COUNT_DISTINCT_APPROX

  - ### Method Detail

    - #### values

          public static Types.AggOp[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Types.AggOp c : Types.AggOp.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Types.AggOp valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Types.AggOp>`

    - #### valueOf

          public static Types.AggOp valueOf(int aggOp)

    - #### getValue

          public int getValue()

Copyright © 2021 The Apache Software Foundation. All rights reserved.